# osg::Timer Class Reference

A high resolution, low latency time stamper. More...

List of all members.

## Public Member Functions

| Timer ()
| ~Timer ()
Timer_t | tick () const
double | delta_s (Timer_t t1, Timer_t t2) const
double | delta_m (Timer_t t1, Timer_t t2) const
double | delta_u (Timer_t t1, Timer_t t2) const
double | delta_n (Timer_t t1, Timer_t t2) const
double | getSecondsPerTick () const

## Static Public Member Functions

static const Timer * | instance ()

## Protected Attributes

double | _secsPerTick
bool | _useStandardClock

## Detailed Description

A high resolution, low latency time stamper.

## Constructor & Destructor Documentation

Timer::Timer | ( |  | ) |

osg::Timer::~Timer | ( |  | ) | `[inline]`

## Member Function Documentation

double osg::Timer::delta_m | ( | Timer_t | t1,
|  | Timer_t | t2
| ) | const`[inline]`

double osg::Timer::delta_n | ( | Timer_t | t1,
|  | Timer_t | t2
| ) | const`[inline]`

double osg::Timer::delta_s | ( | Timer_t | t1,
|  | Timer_t | t2
| ) | const`[inline]`

double osg::Timer::delta_u | ( | Timer_t | t1,
|  | Timer_t | t2
| ) | const`[inline]`

double osg::Timer::getSecondsPerTick | ( |  | ) | const`[inline]`

const Timer * Timer::instance | ( |  | ) | `[static]`

Timer_t osg::Timer::tick | ( |  | ) | const`[inline]`

## Member Data Documentation

double osg::Timer::_secsPerTick `[protected]`

bool osg::Timer::_useStandardClock `[protected]`

The documentation for this class was generated from the following files:

- Timer
- Timer.cpp